Uses of Class
org.mockserver.model.HttpRequest
-
-
Uses of HttpRequest in org.mockserver.authentication
Methods in org.mockserver.authentication with parameters of type HttpRequest Modifier and Type Method Description booleanAuthenticationHandler. controlPlaneRequestAuthenticated(HttpRequest request)booleanChainedAuthenticationHandler. controlPlaneRequestAuthenticated(HttpRequest request) -
Uses of HttpRequest in org.mockserver.authentication.jwt
Methods in org.mockserver.authentication.jwt with parameters of type HttpRequest Modifier and Type Method Description booleanJWTAuthenticationHandler. controlPlaneRequestAuthenticated(HttpRequest request) -
Uses of HttpRequest in org.mockserver.authentication.mtls
Methods in org.mockserver.authentication.mtls with parameters of type HttpRequest Modifier and Type Method Description booleanMTLSAuthenticationHandler. controlPlaneRequestAuthenticated(HttpRequest request) -
Uses of HttpRequest in org.mockserver.client
Methods in org.mockserver.client that return HttpRequest Modifier and Type Method Description HttpRequest[]MockServerClient. retrieveRecordedRequests(RequestDefinition requestDefinition)Retrieve the recorded requests that match the httpRequest parameter, use null for the parameter to retrieve all requestsMethods in org.mockserver.client with parameters of type HttpRequest Modifier and Type Method Description MockServerClientMockServerClient. setRequestOverride(HttpRequest requestOverride)Deprecated.use withRequestOverride which is more consistent with MockServer API styleMockServerClientMockServerClient. withRequestOverride(HttpRequest requestOverride) -
Uses of HttpRequest in org.mockserver.closurecallback.websocketregistry
Methods in org.mockserver.closurecallback.websocketregistry with parameters of type HttpRequest Modifier and Type Method Description voidWebSocketRequestCallback. handle(HttpRequest httpRequest)booleanWebSocketClientRegistry. sendClientMessage(String clientId, HttpRequest httpRequest, HttpResponse httpResponse) -
Uses of HttpRequest in org.mockserver.codec
Methods in org.mockserver.codec with parameters of type HttpRequest Modifier and Type Method Description StringJsonSchemaBodyDecoder. convertToJson(HttpRequest request, BodyMatcher<?> bodyMatcher)protected voidMockServerHttpToNettyHttpRequestEncoder. encode(io.netty.channel.ChannelHandlerContext ctx, HttpRequest httpRequest, List<Object> out)ParametersPathParametersDecoder. extractPathParameters(HttpRequest matcher, HttpRequest matched)NottableStringPathParametersDecoder. normalisePathWithParametersForMatching(HttpRequest matcher)StringPathParametersDecoder. validatePath(HttpRequest matcher)Constructors in org.mockserver.codec with parameters of type HttpRequest Constructor Description JsonSchemaBodyDecoder(Configuration configuration, MockServerLogger mockServerLogger, Expectation expectation, HttpRequest httpRequest) -
Uses of HttpRequest in org.mockserver.cors
Methods in org.mockserver.cors with parameters of type HttpRequest Modifier and Type Method Description voidCORSHeaders. addCORSHeaders(HttpRequest request, HttpResponse response)static booleanCORSHeaders. isPreflightRequest(Configuration configuration, HttpRequest request) -
Uses of HttpRequest in org.mockserver.dashboard
Methods in org.mockserver.dashboard that return types with arguments of type HttpRequest Modifier and Type Method Description Map<io.netty.channel.ChannelOutboundInvoker,HttpRequest>DashboardWebSocketHandler. getClientRegistry()Methods in org.mockserver.dashboard with parameters of type HttpRequest Modifier and Type Method Description voidDashboardHandler. renderDashboard(io.netty.channel.ChannelHandlerContext ctx, HttpRequest request) -
Uses of HttpRequest in org.mockserver.echo.http
Fields in org.mockserver.echo.http with type parameters of type HttpRequest Modifier and Type Field Description AtomicReference<CompletableFuture<HttpRequest>>EchoServer.LastRequest. httpRequestMethods in org.mockserver.echo.http that return HttpRequest Modifier and Type Method Description HttpRequestEchoServer. getLastRequest()Methods in org.mockserver.echo.http with parameters of type HttpRequest Modifier and Type Method Description protected voidEchoServerHandler. channelRead0(io.netty.channel.ChannelHandlerContext ctx, HttpRequest request) -
Uses of HttpRequest in org.mockserver.examples.mockserver
Methods in org.mockserver.examples.mockserver that return HttpRequest Modifier and Type Method Description HttpRequestCallbackActionExamples.TestExpectationForwardCallback. handle(HttpRequest httpRequest)Methods in org.mockserver.examples.mockserver with parameters of type HttpRequest Modifier and Type Method Description HttpRequestCallbackActionExamples.TestExpectationForwardCallback. handle(HttpRequest httpRequest)HttpResponseCallbackActionExamples.TestExpectationResponseCallback. handle(HttpRequest httpRequest) -
Uses of HttpRequest in org.mockserver.filters
Methods in org.mockserver.filters that return HttpRequest Modifier and Type Method Description HttpRequestHopByHopHeaderFilter. onRequest(HttpRequest request)Methods in org.mockserver.filters with parameters of type HttpRequest Modifier and Type Method Description HttpRequestHopByHopHeaderFilter. onRequest(HttpRequest request) -
Uses of HttpRequest in org.mockserver.httpclient
Methods in org.mockserver.httpclient with parameters of type HttpRequest Modifier and Type Method Description CompletableFuture<HttpResponse>NettyHttpClient. sendRequest(HttpRequest httpRequest)HttpResponseNettyHttpClient. sendRequest(HttpRequest httpRequest, long timeout, TimeUnit unit)HttpResponseNettyHttpClient. sendRequest(HttpRequest httpRequest, long timeout, TimeUnit unit, boolean ignoreErrors)CompletableFuture<HttpResponse>NettyHttpClient. sendRequest(HttpRequest httpRequest, InetSocketAddress remoteAddress)CompletableFuture<HttpResponse>NettyHttpClient. sendRequest(HttpRequest httpRequest, InetSocketAddress remoteAddress, Long connectionTimeoutMillis)CompletableFuture<HttpResponse>NettyHttpClient. sendRequest(HttpRequest httpRequest, InetSocketAddress remoteAddress, Long connectionTimeoutMillis, boolean disableStreaming) -
Uses of HttpRequest in org.mockserver.llm
Methods in org.mockserver.llm with parameters of type HttpRequest Modifier and Type Method Description default ParsedConversationProviderCodec. decode(HttpRequest request) -
Uses of HttpRequest in org.mockserver.llm.codec
Methods in org.mockserver.llm.codec with parameters of type HttpRequest Modifier and Type Method Description ParsedConversationAnthropicCodec. decode(HttpRequest request)ParsedConversationAzureOpenAiCodec. decode(HttpRequest request)ParsedConversationBedrockCodec. decode(HttpRequest request)ParsedConversationGeminiCodec. decode(HttpRequest request)ParsedConversationOllamaCodec. decode(HttpRequest request)ParsedConversationOpenAiChatCompletionsCodec. decode(HttpRequest request)ParsedConversationOpenAiResponsesCodec. decode(HttpRequest request) -
Uses of HttpRequest in org.mockserver.mappers
Methods in org.mockserver.mappers that return HttpRequest Modifier and Type Method Description HttpRequestFullHttpRequestToMockServerHttpRequest. mapFullHttpRequestToMockServerRequest(io.netty.handler.codec.http.FullHttpRequest fullHttpRequest, List<Header> preservedHeaders, SocketAddress localAddress, SocketAddress remoteAddress, Protocol protocol)HttpRequestFullHttpRequestToMockServerHttpRequest. mapHeadersOnlyHttpRequestToMockServerRequest(io.netty.handler.codec.http.HttpRequest nettyHttpRequest, List<Header> preservedHeaders, SocketAddress localAddress, SocketAddress remoteAddress, Protocol protocol)Map the headers/method/path/query/cookies of a Netty HttpRequest (no body) to a MockServer HttpRequest.HttpRequestHttpServletRequestToMockServerHttpRequestDecoder. mapHttpServletRequestToMockServerRequest(javax.servlet.http.HttpServletRequest httpServletRequest)HttpRequestJDKCertificateToMockServerX509Certificate. setClientCertificates(HttpRequest httpRequest, Certificate[] clientCertificates)Methods in org.mockserver.mappers with parameters of type HttpRequest Modifier and Type Method Description StringMockServerHttpRequestToFullHttpRequest. getURI(HttpRequest httpRequest, Map<ProxyConfiguration.Type,ProxyConfiguration> proxyConfigurations)io.netty.handler.codec.http.FullHttpRequestMockServerHttpRequestToFullHttpRequest. mapMockServerRequestToNettyRequest(HttpRequest httpRequest)HttpRequestJDKCertificateToMockServerX509Certificate. setClientCertificates(HttpRequest httpRequest, Certificate[] clientCertificates) -
Uses of HttpRequest in org.mockserver.matchers
Methods in org.mockserver.matchers that return HttpRequest Modifier and Type Method Description HttpRequestHttpRequestPropertiesMatcher. getHttpRequest()HttpRequestMatchDifferenceCount. getHttpRequest()Methods in org.mockserver.matchers that return types with arguments of type HttpRequest Modifier and Type Method Description List<HttpRequest>BinaryRequestPropertiesMatcher. getHttpRequests()List<HttpRequest>DnsRequestPropertiesMatcher. getHttpRequests()List<HttpRequest>HttpRequestMatcher. getHttpRequests()List<HttpRequest>HttpRequestPropertiesMatcher. getHttpRequests()List<HttpRequest>HttpRequestsPropertiesMatcher. getHttpRequests()Methods in org.mockserver.matchers with parameters of type HttpRequest Modifier and Type Method Description booleanLlmConversationMatcher. matches(HttpRequest request)Matches the given request against all configured predicates.Constructors in org.mockserver.matchers with parameters of type HttpRequest Constructor Description MatchDifferenceCount(HttpRequest httpRequest) -
Uses of HttpRequest in org.mockserver.metrics
Methods in org.mockserver.metrics with parameters of type HttpRequest Modifier and Type Method Description voidMetricsHandler. renderMetrics(io.netty.channel.ChannelHandlerContext ctx, HttpRequest request) -
Uses of HttpRequest in org.mockserver.mock
Methods in org.mockserver.mock with parameters of type HttpRequest Modifier and Type Method Description List<Expectation>HttpState. allMatchingExpectation(HttpRequest request)voidHttpState. clear(HttpRequest request)booleanExpectation. contains(HttpRequest httpRequest)HttpResponseHttpState. debugMismatch(HttpRequest request)HttpResponseHttpState. explainUnmatched(HttpRequest request)Retrieves recent requests that matched no expectation and, for each, computes ranked closest-expectation diagnostics with remediation hints.Map<MatchDifference.Field,List<String>>HttpState. findClosestMatchDiff(HttpRequest request)Map<MatchDifference.Field,List<String>>RequestMatchers. findClosestMatchDiff(HttpRequest httpRequest)ExpectationHttpState. firstMatchingEarlyExpectation(HttpRequest headersOnly)Returns the first expectation whose matcher has respondBeforeBody=true, has no body matcher, and matches the supplied headers-only request.ExpectationRequestMatchers. firstMatchingEarlyExpectation(HttpRequest headersOnlyRequest)booleanHttpState. handle(HttpRequest request, ResponseWriter responseWriter, boolean warDeployment)HttpResponseHttpState. retrieve(HttpRequest request)static voidHttpState. setPort(HttpRequest request)static ExpectationExpectation. when(HttpRequest httpRequest)Specify the HttpRequest to match against as follows:static ExpectationExpectation. when(HttpRequest httpRequest, int priority)Specify the HttpRequest to match against with a match priority as follows:static ExpectationExpectation. when(HttpRequest httpRequest, Times times, TimeToLive timeToLive)Specify the HttpRequest to match against for a limit number of times or time as follows:static ExpectationExpectation. when(HttpRequest httpRequest, Times times, TimeToLive timeToLive, int priority)Specify the HttpRequest to match against for a limit number of times or time and a match priority as follows: -
Uses of HttpRequest in org.mockserver.mock.action
Methods in org.mockserver.mock.action that return HttpRequest Modifier and Type Method Description default HttpRequestExpectationForwardAndResponseCallback. handle(HttpRequest httpRequest)Called for every request when expectation condition has been satisfied.HttpRequestExpectationForwardCallback. handle(HttpRequest httpRequest)Called for every request when expectation condition has been satisfied.Methods in org.mockserver.mock.action with parameters of type HttpRequest Modifier and Type Method Description TExpectationCallback. handle(HttpRequest httpRequest)Called for every request when expectation condition has been satisfied.default HttpRequestExpectationForwardAndResponseCallback. handle(HttpRequest httpRequest)Called for every request when expectation condition has been satisfied.HttpResponseExpectationForwardAndResponseCallback. handle(HttpRequest httpRequest, HttpResponse httpResponse)Called for every response received from a proxied request, the return value is the returned by MockServer.HttpRequestExpectationForwardCallback. handle(HttpRequest httpRequest)Called for every request when expectation condition has been satisfied.HttpResponseExpectationResponseCallback. handle(HttpRequest httpRequest)Called for every request when expectation condition has been satisfied. -
Uses of HttpRequest in org.mockserver.mock.action.http
Methods in org.mockserver.mock.action.http that return HttpRequest Modifier and Type Method Description HttpRequestHttpForwardActionResult. getHttpRequest()Methods in org.mockserver.mock.action.http with parameters of type HttpRequest Modifier and Type Method Description protected voidHttpForwardAction. adjustHostHeader(HttpRequest request)voidGrpcStreamResponseActionHandler. handle(GrpcStreamResponse grpcStreamResponse, io.netty.channel.ChannelHandlerContext ctx, HttpRequest request)HttpForwardActionResultHttpForwardActionHandler. handle(HttpForward httpForward, HttpRequest httpRequest)HttpForwardActionResultHttpForwardClassCallbackActionHandler. handle(HttpClassCallback httpClassCallback, HttpRequest request)voidHttpForwardObjectCallbackActionHandler. handle(HttpActionHandler actionHandler, HttpObjectCallback httpObjectCallback, HttpRequest request, ResponseWriter responseWriter, boolean synchronous, Runnable expectationPostProcessor)HttpForwardActionResultHttpForwardTemplateActionHandler. handle(HttpTemplate httpTemplate, HttpRequest originalRequest)HttpForwardActionResultHttpForwardValidateActionHandler. handle(HttpForwardValidateAction action, HttpRequest request)HttpResponseHttpLlmResponseActionHandler. handle(HttpLlmResponse httpLlmResponse, HttpRequest request)HttpForwardActionResultHttpOverrideForwardedRequestActionHandler. handle(HttpOverrideForwardedRequest httpOverrideForwardedRequest, HttpRequest request)HttpResponseHttpResponseClassCallbackActionHandler. handle(HttpClassCallback httpClassCallback, HttpRequest request)voidHttpResponseObjectCallbackActionHandler. handle(HttpActionHandler actionHandler, HttpObjectCallback httpObjectCallback, HttpRequest request, ResponseWriter responseWriter, boolean synchronous, Runnable expectationPostProcessor)HttpResponseHttpResponseTemplateActionHandler. handle(HttpTemplate httpTemplate, HttpRequest httpRequest)voidHttpSseResponseActionHandler. handle(HttpSseResponse httpSseResponse, io.netty.channel.ChannelHandlerContext ctx, HttpRequest request)voidHttpWebSocketResponseActionHandler. handle(HttpWebSocketResponse httpWebSocketResponse, io.netty.channel.ChannelHandlerContext ctx, HttpRequest request)List<SseEvent>HttpLlmResponseActionHandler. handleStreaming(HttpLlmResponse httpLlmResponse, HttpRequest request)Handle streaming LLM response by producing a list of SSE events.voidHttpActionHandler. processAction(HttpRequest request, ResponseWriter responseWriter, io.netty.channel.ChannelHandlerContext ctx, Set<String> localAddresses, boolean proxyingRequest, boolean synchronous)voidHttpActionHandler. processEarlyAction(HttpRequest request, Expectation expectation, io.netty.channel.ChannelHandlerContext ctx, ResponseWriter earlyResponseWriter, boolean synchronous)Dispatch an early-matched expectation before the request body has been received.protected HttpForwardActionResultHttpForwardAction. sendRequest(HttpRequest request, InetSocketAddress remoteAddress, Function<HttpResponse,HttpResponse> overrideHttpResponse)protected HttpForwardActionResultHttpForwardAction. sendRequest(HttpRequest request, InetSocketAddress remoteAddress, Function<HttpResponse,HttpResponse> overrideHttpResponse, boolean disableStreaming)Constructors in org.mockserver.mock.action.http with parameters of type HttpRequest Constructor Description HttpForwardActionResult(HttpRequest httpRequest, CompletableFuture<HttpResponse> httpResponse, Function<HttpResponse,HttpResponse> overrideHttpResponse) -
Uses of HttpRequest in org.mockserver.mock.crud
Methods in org.mockserver.mock.crud with parameters of type HttpRequest Modifier and Type Method Description HttpResponseCrudDispatcher. dispatch(HttpRequest request)HttpResponseCrudActionHandler. handleCreate(HttpRequest request)HttpResponseCrudActionHandler. handleDelete(HttpRequest request)HttpResponseCrudActionHandler. handleGetById(HttpRequest request)HttpResponseCrudActionHandler. handleList(HttpRequest request)HttpResponseCrudActionHandler. handleUpdate(HttpRequest request) -
Uses of HttpRequest in org.mockserver.model
Methods in org.mockserver.model that return HttpRequest Modifier and Type Method Description HttpRequestHttpRequest. clone()static HttpRequestHttpRequest. delete(String path)static HttpRequestHttpRequest. get(String path)HttpRequestAfterAction. getHttpRequest()HttpRequestHttpRequestAndHttpResponse. getHttpRequest()HttpRequestLogEventRequestAndResponse. getHttpRequest()HttpRequestHttpOverrideForwardedRequest. getRequestOverride()static HttpRequestHttpRequest. head(String path)static HttpRequestHttpRequest. options(String path)static HttpRequestHttpRequest. patch(String path)static HttpRequestHttpRequest. post(String path)static HttpRequestHttpRequest. put(String path)HttpRequestHttpRequest. removeHeader(String name)HttpRequestHttpRequest. removeHeader(NottableString name)HttpRequestHttpRequest. replaceHeader(Header header)Adds one header to match on as a Header object where the header values list can be a list of strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)static HttpRequestHttpRequest. request()static HttpRequestHttpRequest. request(String path)HttpRequestHttpRequest. shallowClone()HttpRequestHttpRequest. update(HttpRequest requestOverride, HttpRequestModifier requestModifier)HttpRequestHttpRequest. withBody(byte[] body)The body to match on as binary data such as a pdf or imageHttpRequestHttpRequest. withBody(String body)The exact string body to match on such as "this is an exact string body"HttpRequestHttpRequest. withBody(String body, Charset charset)The exact string body to match on such as "this is an exact string body"HttpRequestHttpRequest. withBody(Body body)The body match rules on such as using one of the Body subclasses as follows:HttpRequestHttpRequest. withClientCertificateChain(List<X509Certificate> clientCertificateChain)HttpRequestHttpRequest. withContentType(MediaType mediaType)HttpRequestHttpRequest. withCookie(String name, String value)Adds one cookie to match on, which the value is plain strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withCookie(Cookie cookie)Adds one cookie to match on as a Cookie object where the cookie values list can be a list of strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withCookie(NottableString name, NottableString value)Adds one cookie to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withCookies(List<Cookie> cookies)The cookies to match on as a list of Cookie objects where the values or keys of each cookie can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withCookies(Cookie... cookies)The cookies to match on as a varags Cookie objects where the values or keys of each cookie can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withCookies(Cookies cookies)HttpRequestHttpRequest. withHeader(String name, String... values)Adds one header to match which can specified using plain strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withHeader(Header header)Adds one header to match on as a Header object where the header values list can be a list of strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withHeader(NottableString name, NottableString... values)Adds one header to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can also be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withHeaders(List<Header> headers)The headers to match on as a list of Header objects where the values or keys of each header can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withHeaders(Header... headers)The headers to match on as a varags of Header objects where the values or keys of each header can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withHeaders(Headers headers)HttpRequestHttpRequest. withKeepAlive(Boolean isKeepAlive)Match on whether the request was made using an HTTP persistent connection, also called HTTP keep-alive, or HTTP connection reuseHttpRequestHttpRequest. withLocalAddress(String localAddress)HttpRequestHttpRequest. withMethod(String method)The HTTP method to match on such as "GET" or "POST"HttpRequestHttpRequest. withMethod(NottableString method)The HTTP method all method except a specific value using the "not" operator, for example this allows operations such as not("GET")HttpRequestHttpRequest. withMethodSchema(String method)The HTTP method to match on as a JSON Schema for example:HttpRequestHttpRequest. withPath(String path)The path to match on such as "/some_mocked_path" any servlet context path is ignored for matching and should not be specified here regex values are also supported such as ".HttpRequestHttpRequest. withPath(NottableString path)The path to not match on for example not("/some_mocked_path") with match any path not equal to "/some_mocked_path", the servlet context path is ignored for matching and should not be specified hereregex values are also supported such as not(".HttpRequestHttpRequest. withPathParameter(String name, String... values)Adds one path parameter to match which can specified using plain strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withPathParameter(NottableString name, NottableString... values)Adds one path parameter to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can also be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withPathParameter(Parameter parameter)Adds one path parameter to match on as a Parameter object where the parameter values list can be a list of strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withPathParameters(List<Parameter> parameters)The path parameter to match on as a list of Parameter objects where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withPathParameters(Map<String,List<String>> parameters)The path parameter to match on as a Map<String, List<String>> where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withPathParameters(Parameter... parameters)The path parameter to match on as a varags Parameter objects where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withPathParameters(Parameters parameters)HttpRequestHttpRequest. withPathSchema(String path)The path to match on as a JSON Schema for example:HttpRequestHttpRequest. withProtocol(Protocol protocol)Match on whether the request was made over HTTP or HTTP2HttpRequestHttpRequest. withQueryStringParameter(String name, String... values)Adds one query string parameter to match which the values are plain strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withQueryStringParameter(NottableString name, NottableString... values)Adds one query string parameter to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can also be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withQueryStringParameter(Parameter parameter)Adds one query string parameter to match on as a Parameter object where the parameter values list can be a list of strings or regular expressions (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withQueryStringParameters(List<Parameter> parameters)The query string parameters to match on as a list of Parameter objects where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withQueryStringParameters(Map<String,List<String>> parameters)The query string parameters to match on as a Map<String, List<String>> where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withQueryStringParameters(Parameter... parameters)The query string parameters to match on as a varags Parameter objects where the values or keys of each parameter can be either a string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withQueryStringParameters(Parameters parameters)HttpRequestHttpRequest. withRemoteAddress(String remoteAddress)HttpRequestHttpRequest. withRespondBeforeBody(Boolean respondBeforeBody)Match this request without waiting for the body to be received, and send the configured response before the body is consumed.HttpRequestHttpRequest. withSchemaCookie(String name, String value)Adds one cookie to match on, which the value the values is JSON schema i.e. "{ \"type\": \"string\", \"pattern\": \"^someV[a-z]{4}$\" }" (for more details of the supported JSON schema see https://json-schema.org)HttpRequestHttpRequest. withSchemaHeader(String name, String... values)Adds one header to match which the values are JSON schema i.e. "{ \"type\": \"string\", \"pattern\": \"^someV[a-z]{4}$\" }" (for more details of the supported JSON schema see https://json-schema.org)HttpRequestHttpRequest. withSchemaPathParameter(String name, String... values)Adds one path parameter to match which the values are JSON schema i.e. "{ \"type\": \"string\", \"pattern\": \"^someV[a-z]{4}$\" }" (for more details of the supported JSON schema see https://json-schema.org)HttpRequestHttpRequest. withSchemaQueryStringParameter(String name, String... values)Adds one query string parameter to match which the values are JSON schema i.e. "{ \"type\": \"string\", \"pattern\": \"^someV[a-z]{4}$\" }" (for more details of the supported JSON schema see https://json-schema.org)HttpRequestHttpRequest. withSecure(Boolean isSecure)Match on whether the request was made over TLS or SSL (i.e.HttpRequestHttpRequest. withSocketAddress(Boolean isSecure, String host, Integer port)Specify remote address by attempting to derive it from the host header and / or the specified portHttpRequestHttpRequest. withSocketAddress(String host, Integer port)Specify remote address by attempting to derive it from the host header and / or the specified portHttpRequestHttpRequest. withSocketAddress(String host, Integer port, SocketAddress.Scheme scheme)Specify remote address if the remote address can't be derived from the host header, if no value is specified the host header will be used to determine remote addressHttpRequestHttpRequest. withSocketAddress(SocketAddress socketAddress)Specify remote address if the remote address can't be derived from the host header, if no value is specified the host header will be used to determine remote addressHttpRequestHttpRequest. withSocketAddressFromHostHeader()Specify remote address by attempting to derive it from the host headerHttpRequestHttpRequest. withStreamId(Integer streamId)HTTP2 stream id request was received onMethods in org.mockserver.model with parameters of type HttpRequest Modifier and Type Method Description static HttpOverrideForwardedRequestHttpOverrideForwardedRequest. forwardOverriddenRequest(HttpRequest httpRequest)Static builder which will allow overriding proxied request with the specified request.static HttpOverrideForwardedRequestHttpOverrideForwardedRequest. forwardOverriddenRequest(HttpRequest httpRequest, HttpRequestModifier requestModifier)Static builder which will allow overriding or modifying proxied request with the specified request.static HttpOverrideForwardedRequestHttpOverrideForwardedRequest. forwardOverriddenRequest(HttpRequest httpRequest, HttpRequestModifier requestModifier, HttpResponse httpResponse, HttpResponseModifier responseModifier)Static builder which will allow overriding proxied request with the specified request.static HttpOverrideForwardedRequestHttpOverrideForwardedRequest. forwardOverriddenRequest(HttpRequest httpRequest, HttpResponse httpResponse)Static builder which will allow overriding proxied request with the specified request.HttpRequestHttpRequest. update(HttpRequest requestOverride, HttpRequestModifier requestModifier)AfterActionAfterAction. withHttpRequest(HttpRequest httpRequest)HttpRequestAndHttpResponseHttpRequestAndHttpResponse. withHttpRequest(HttpRequest httpRequest)LogEventRequestAndResponseLogEventRequestAndResponse. withHttpRequest(HttpRequest httpRequest)HttpOverrideForwardedRequestHttpOverrideForwardedRequest. withRequestOverride(HttpRequest httpRequest)All fields, headers, cookies, etc of the provided request will be overridden -
Uses of HttpRequest in org.mockserver.netty
Methods in org.mockserver.netty with parameters of type HttpRequest Modifier and Type Method Description protected voidHttpRequestHandler. channelRead0(io.netty.channel.ChannelHandlerContext ctx, HttpRequest request)voidOpenAPISpecHandler. renderOpenAPISpec(io.netty.channel.ChannelHandlerContext ctx, HttpRequest request) -
Uses of HttpRequest in org.mockserver.netty.grpc
Methods in org.mockserver.netty.grpc with parameters of type HttpRequest Modifier and Type Method Description protected voidGrpcToHttpRequestHandler. channelRead0(io.netty.channel.ChannelHandlerContext ctx, HttpRequest request) -
Uses of HttpRequest in org.mockserver.netty.responsewriter
Methods in org.mockserver.netty.responsewriter with parameters of type HttpRequest Modifier and Type Method Description voidEarlyNettyResponseWriter. sendResponse(HttpRequest request, HttpResponse response)voidNettyResponseWriter. sendResponse(HttpRequest request, HttpResponse response) -
Uses of HttpRequest in org.mockserver.openapi
Methods in org.mockserver.openapi that return HttpRequest Modifier and Type Method Description HttpRequestOpenApiContractTest.ContractTestResult. getRequestSent()Methods in org.mockserver.openapi with parameters of type HttpRequest Modifier and Type Method Description static List<String>OpenAPIRequestValidator. validate(String specUrlOrPayload, HttpRequest request, MockServerLogger logger)Method parameters in org.mockserver.openapi with type arguments of type HttpRequest Modifier and Type Method Description List<OpenApiContractTest.ContractTestResult>OpenApiContractTest. runContractTests(String specUrlOrPayload, String baseUrl, String operationIdFilter, Function<HttpRequest,HttpResponse> httpSender)Runs contract tests for each operation in the spec.OpenApiResiliencyTest.ResiliencyTestReportOpenApiResiliencyTest. runResiliencyTests(String specUrlOrPayload, String baseUrl, String operationIdFilter, Function<HttpRequest,HttpResponse> httpSender)Runs resiliency tests for each operation in the spec.List<OpenApiTrafficValidator.TrafficValidationResult>OpenApiTrafficValidator. validate(String specUrlOrPayload, List<org.apache.commons.lang3.tuple.Pair<HttpRequest,HttpResponse>> requestResponsePairs)Validates a list of request/response pairs against the given OpenAPI spec.Constructors in org.mockserver.openapi with parameters of type HttpRequest Constructor Description ContractTestResult(String operationId, String method, String path, HttpRequest requestSent, int statusCodeReceived, boolean passed, List<String> validationErrors) -
Uses of HttpRequest in org.mockserver.proxyconfiguration
Methods in org.mockserver.proxyconfiguration with parameters of type HttpRequest Modifier and Type Method Description ProxyConfigurationProxyConfiguration. addProxyAuthenticationHeader(HttpRequest httpRequest) -
Uses of HttpRequest in org.mockserver.responsewriter
Methods in org.mockserver.responsewriter with parameters of type HttpRequest Modifier and Type Method Description protected HttpResponseResponseWriter. addConnectionHeader(HttpRequest request, HttpResponse response)abstract voidResponseWriter. sendResponse(HttpRequest request, HttpResponse response)voidResponseWriter. writeResponse(HttpRequest request, io.netty.handler.codec.http.HttpResponseStatus responseStatus)voidResponseWriter. writeResponse(HttpRequest request, io.netty.handler.codec.http.HttpResponseStatus responseStatus, String body, String contentType)voidResponseWriter. writeResponse(HttpRequest request, HttpResponse response, boolean apiResponse) -
Uses of HttpRequest in org.mockserver.serialization
Methods in org.mockserver.serialization that return HttpRequest Modifier and Type Method Description HttpRequestHttpRequestSerializer. deserialize(String jsonHttpRequest)HttpRequest[]HttpRequestSerializer. deserializeArray(String jsonHttpRequests)Methods in org.mockserver.serialization that return types with arguments of type HttpRequest Modifier and Type Method Description Class<HttpRequest>HttpRequestSerializer. supportsType()Methods in org.mockserver.serialization with parameters of type HttpRequest Modifier and Type Method Description StringHttpRequestSerializer. serialize(boolean prettyPrint, HttpRequest httpRequest)StringHttpRequestSerializer. serialize(boolean prettyPrint, HttpRequest... httpRequests)StringHttpRequestSerializer. serialize(HttpRequest httpRequest)StringHttpRequestSerializer. serialize(HttpRequest... httpRequests)Method parameters in org.mockserver.serialization with type arguments of type HttpRequest Modifier and Type Method Description StringHttpRequestSerializer. serialize(boolean prettyPrint, List<HttpRequest> httpRequests)StringHttpRequestSerializer. serialize(List<HttpRequest> httpRequests) -
Uses of HttpRequest in org.mockserver.serialization.curl
Methods in org.mockserver.serialization.curl with parameters of type HttpRequest Modifier and Type Method Description StringHttpRequestToCurlSerializer. toCurl(HttpRequest request)StringHttpRequestToCurlSerializer. toCurl(HttpRequest request, InetSocketAddress remoteAddress) -
Uses of HttpRequest in org.mockserver.serialization.java
Methods in org.mockserver.serialization.java with parameters of type HttpRequest Modifier and Type Method Description StringHttpRequestToJavaSerializer. serialize(int numberOfSpacesToIndent, HttpRequest request)Method parameters in org.mockserver.serialization.java with type arguments of type HttpRequest Modifier and Type Method Description StringHttpRequestToJavaSerializer. serialize(List<HttpRequest> httpRequests) -
Uses of HttpRequest in org.mockserver.serialization.model
Methods in org.mockserver.serialization.model that return HttpRequest Modifier and Type Method Description HttpRequestHttpRequestDTO. buildObject()Constructors in org.mockserver.serialization.model with parameters of type HttpRequest Constructor Description HttpRequestDTO(HttpRequest httpRequest)HttpRequestPrettyPrintedDTO(HttpRequest httpRequest) -
Uses of HttpRequest in org.mockserver.serialization.serializers.request
Methods in org.mockserver.serialization.serializers.request with parameters of type HttpRequest Modifier and Type Method Description voidHttpRequestSerializer. serialize(HttpRequest httpRequest, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider) -
Uses of HttpRequest in org.mockserver.servlet.responsewriter
Methods in org.mockserver.servlet.responsewriter with parameters of type HttpRequest Modifier and Type Method Description voidServletResponseWriter. sendResponse(HttpRequest request, HttpResponse response) -
Uses of HttpRequest in org.mockserver.templates
Methods in org.mockserver.templates with parameters of type HttpRequest Modifier and Type Method Description static HttpResponseResponseTemplateTester. testJavaScriptTemplate(String template, HttpRequest request)static HttpResponseResponseTemplateTester. testMustacheTemplate(String template, HttpRequest request)static HttpResponseResponseTemplateTester. testVelocityTemplate(String template, HttpRequest request) -
Uses of HttpRequest in org.mockserver.templates.engine
Methods in org.mockserver.templates.engine with parameters of type HttpRequest Modifier and Type Method Description <T> TTemplateEngine. executeTemplate(String template, HttpRequest httpRequest, Class<? extends DTO<T>> dtoClass)<T> TTemplateEngine. executeTemplate(String template, HttpRequest httpRequest, HttpResponse httpResponse, Class<? extends DTO<T>> dtoClass) -
Uses of HttpRequest in org.mockserver.templates.engine.javascript
Methods in org.mockserver.templates.engine.javascript with parameters of type HttpRequest Modifier and Type Method Description <T> TJavaScriptTemplateEngine. executeTemplate(String template, HttpRequest request, Class<? extends DTO<T>> dtoClass)<T> TJavaScriptTemplateEngine. executeTemplate(String template, HttpRequest request, HttpResponse response, Class<? extends DTO<T>> dtoClass) -
Uses of HttpRequest in org.mockserver.templates.engine.model
Constructors in org.mockserver.templates.engine.model with parameters of type HttpRequest Constructor Description HttpRequestTemplateObject(HttpRequest httpRequest) -
Uses of HttpRequest in org.mockserver.templates.engine.mustache
Methods in org.mockserver.templates.engine.mustache with parameters of type HttpRequest Modifier and Type Method Description <T> TMustacheTemplateEngine. executeTemplate(String template, HttpRequest request, Class<? extends DTO<T>> dtoClass)<T> TMustacheTemplateEngine. executeTemplate(String template, HttpRequest request, HttpResponse response, Class<? extends DTO<T>> dtoClass) -
Uses of HttpRequest in org.mockserver.templates.engine.serializer
Methods in org.mockserver.templates.engine.serializer with parameters of type HttpRequest Modifier and Type Method Description <T> THttpTemplateOutputDeserializer. deserializer(HttpRequest request, String json, Class<? extends DTO<T>> dtoClass) -
Uses of HttpRequest in org.mockserver.templates.engine.velocity
Methods in org.mockserver.templates.engine.velocity with parameters of type HttpRequest Modifier and Type Method Description <T> TVelocityTemplateEngine. executeTemplate(String template, HttpRequest request, Class<? extends DTO<T>> dtoClass)<T> TVelocityTemplateEngine. executeTemplate(String template, HttpRequest request, HttpResponse response, Class<? extends DTO<T>> dtoClass) -
Uses of HttpRequest in org.mockserver.testing.integration.callback
Fields in org.mockserver.testing.integration.callback with type parameters of type HttpRequest Modifier and Type Field Description static List<HttpRequest>StaticTestExpectationResponseCallback. httpRequestsMethods in org.mockserver.testing.integration.callback that return HttpRequest Modifier and Type Method Description HttpRequestPrecannedTestExpectationForwardCallbackRequest. handle(HttpRequest httpRequest)HttpRequestPrecannedTestExpectationForwardCallbackRequestAndResponse. handle(HttpRequest httpRequest)Methods in org.mockserver.testing.integration.callback with parameters of type HttpRequest Modifier and Type Method Description HttpRequestPrecannedTestExpectationForwardCallbackRequest. handle(HttpRequest httpRequest)HttpRequestPrecannedTestExpectationForwardCallbackRequestAndResponse. handle(HttpRequest httpRequest)HttpResponsePrecannedTestExpectationForwardCallbackRequestAndResponse. handle(HttpRequest httpRequest, HttpResponse httpResponse)HttpResponsePrecannedTestExpectationResponseCallback. handle(HttpRequest httpRequest)HttpResponseStaticTestExpectationResponseCallback. handle(HttpRequest httpRequest) -
Uses of HttpRequest in org.mockserver.testing.integration.mock
Methods in org.mockserver.testing.integration.mock that return HttpRequest Modifier and Type Method Description HttpRequestAbstractMockingIntegrationTestBase. getRequestModifier(HttpRequest httpRequest)Methods in org.mockserver.testing.integration.mock with parameters of type HttpRequest Modifier and Type Method Description HttpRequestAbstractMockingIntegrationTestBase. getRequestModifier(HttpRequest httpRequest)protected HttpResponseAbstractMockingIntegrationTestBase. makeRequest(HttpRequest httpRequest, Collection<String> headersToRemove)protected voidAbstractMockingIntegrationTestBase. verifyRequestsMatches(LogEventRequestAndResponse[] logEventRequestAndResponses, HttpRequest... httpRequestMatchers)protected voidAbstractMockingIntegrationTestBase. verifyRequestsMatches(RequestDefinition[] requestDefinitions, HttpRequest... httpRequestMatchers)
-